Bug 992586 - jaffl: FTBFS in rawhide
jaffl: FTBFS in rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jaffl (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
: 1106815 (view as bug list)
Depends On:
Blocks: F20FTBFS 1068172 F21FTBFS 1106815
  Show dependency treegraph
 
Reported: 2013-08-05 01:32 EDT by Dennis Gilmore
Modified: 2015-07-03 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-03 09:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix FTBFS rhbz # 992586,1106815 (4.20 KB, patch)
2015-02-21 23:43 EST, gil cattaneo
no flags Details | Diff
Fix FTBFS rhbz # 992586,1106815 (4.19 KB, patch)
2015-02-21 23:47 EST, gil cattaneo
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-08-05 01:32:42 EDT
Your package jaffl failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5732220

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2220/5732220/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2220/5732220/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2220/5732220/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 11:38:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 gil cattaneo 2015-02-21 23:43:06 EST
Created attachment 994216 [details]
Fix FTBFS rhbz # 992586,1106815

- Fix FTBFS rhbz # 992586,1106815
- Fix rhbz # 1067528
- Adapt to current guidelines
- Switch to maven
- Introduce license macro
Comment 3 gil cattaneo 2015-02-21 23:47:35 EST
Created attachment 994217 [details]
Fix FTBFS rhbz # 992586,1106815

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9023780
Comment 4 Michal Srb 2015-02-23 02:59:02 EST
*** Bug 1106815 has been marked as a duplicate of this bug. ***
Comment 5 Jaroslav Reznik 2015-03-03 11:54:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Michal Srb 2015-03-04 10:53:04 EST
Thanks for the patch gil. As we discussed on IRC, there are some test failures on ARM. jaffl was (AFAIK) replaced by jffi in jruby project and nothing else currently requires/buildrequires this library in Rawhide:

$ ( repoquery --repoid rawhide-source --arch src --whatrequires jaffl; repoquery --repoid rawhide -s --whatrequires jaffl ) | sed 's|-[^-]*-[^-]*$||' | sort -u
$

From that reason I would recommend to retire this package from Fedora. The project seems to be pretty much dead.

Moving back to NEW.

Note You need to log in before you can comment on or make changes to this bug.